com.jscape.inet.mft.management.descriptors

## Class HttpServiceDescriptor

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.descriptors.ServiceDescriptor
    - - com.jscape.inet.mft.management.descriptors.TransportServiceDescriptor
      - - com.jscape.inet.mft.management.descriptors.HttpServiceDescriptor

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class HttpServiceDescriptor
      extends TransportServiceDescriptor

  Web service descriptor. The service described by this descriptor takes responsibility for providing Web server access.
  Author:
    Alex Usun
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpServiceDescriptor()` This constructor is used by serialization sub-system and is not intended to use directly in client code.
    `HttpServiceDescriptor(boolean httpAllowed, boolean httpsAllowed)` Creates a new descriptor instance.
    `HttpServiceDescriptor(HttpServiceDescriptor that)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `copy()`
    `boolean` | `equals(java.lang.Object o)`
    `boolean` | `getHttpAllowed()` Returns HTTP access flag.
    `boolean` | `getHttpsAllowed()` Returns HTTPS access flag.
    `void` | `setHttpAllowed(boolean value)` Sets HTTP access flag.
    `void` | `setHttpsAllowed(boolean value)` Sets HTTPS access flag.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpServiceDescriptor

          public HttpServiceDescriptor(boolean httpAllowed,
                                       boolean httpsAllowed)

      Creates a new descriptor instance.
      Parameters:
        `httpAllowed` - HTTP access flag
        `httpsAllowed` - HTTPS access flag

    - #### HttpServiceDescriptor

          public HttpServiceDescriptor(HttpServiceDescriptor that)

    - #### HttpServiceDescriptor

          public HttpServiceDescriptor()

      This constructor is used by serialization sub-system and is not intended to use directly in client code.

  - ### Method Detail

    - #### getHttpAllowed

          public boolean getHttpAllowed()

      Returns HTTP access flag.
      Returns:
        HTTP access flag

    - #### setHttpAllowed

          public void setHttpAllowed(boolean value)

      Sets HTTP access flag.
      Parameters:
        `value` - HTTP access flag

    - #### getHttpsAllowed

          public boolean getHttpsAllowed()

      Returns HTTPS access flag.
      Returns:
        HTTPS access flag

    - #### setHttpsAllowed

          public void setHttpsAllowed(boolean value)

      Sets HTTPS access flag.
      Parameters:
        `value` - HTTPS access flag

    - #### copy

          public Configuration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Advanced Systems Concepts Inc. 1999-2021. All Rights Reserved